Package org.eclipse.emf.compare.rcp.ui.internal.contentmergeviewer.accessor.factory.impl

## Class AccessorFactoryRegistryImpl

- java.lang.Object
- - org.eclipse.emf.compare.rcp.ui.internal.contentmergeviewer.accessor.factory.impl.AccessorFactoryRegistryImpl

All Implemented Interfaces:
  `IAccessorFactory.Registry`

    public class AccessorFactoryRegistryImpl
    extends Object
    implements IAccessorFactory.Registry

The default implementation of `IAccessorFactory.Registry`.

Since:
  4.0

### Constructor Summary

Constructors
`AccessorFactoryRegistryImpl()` Default constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`IAccessorFactory` `add​(IAccessorFactory factory)` Add the given factory to the registry.
`void` `clear()` Clear the registry.
`List<IAccessorFactory>` `getFactories​(Object target)` Returns all the factories available in the registry for the given object.
`IAccessorFactory` `getHighestRankingFactory​(Object target)` Returns the highest ranking factory available for the given object.
`IAccessorFactory` `remove​(String className)` Remove the factory represented by the given class name.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AccessorFactoryRegistryImpl

    public AccessorFactoryRegistryImpl()

Default constructor.

### Method Detail

#### getHighestRankingFactory

    public IAccessorFactory getHighestRankingFactory​(Object target)

Returns the highest ranking factory available for the given object.

Specified by:
  `getHighestRankingFactory` in interface `IAccessorFactory.Registry`
Parameters:
  `target` - the given object.
Returns:
  the highest ranking factory available for the given object.
See Also:
  `IAccessorFactory.Registry.getHighestRankingFactory(java.lang.Object)`

#### getFactories

    public List<IAccessorFactory> getFactories​(Object target)

Returns all the factories available in the registry for the given object.

Specified by:
  `getFactories` in interface `IAccessorFactory.Registry`
Parameters:
  `target` - the given object.
Returns:
  all the factories available in the registry for the given object.
See Also:
  `IAccessorFactory.Registry.getFactories(java.lang.Object)`

#### add

    public IAccessorFactory add​(IAccessorFactory factory)

Add the given factory to the registry.

Specified by:
  `add` in interface `IAccessorFactory.Registry`
Parameters:
  `factory` - the given factory.
Returns:
  the given factory.
See Also:
  `org.eclipse.emf.compare.rcp.ui.contentmergeviewer.accessor.factory.IAccessorFactory.Registry#add(java.lang.Object)`

#### remove

    public IAccessorFactory remove​(String className)

Remove the factory represented by the given class name.

Specified by:
  `remove` in interface `IAccessorFactory.Registry`
Parameters:
  `className` - the class name of the factory to removed.
Returns:
  the factory removed.
See Also:
  `org.eclipse.emf.compare.rcp.ui.contentmergeviewer.accessor.factory.IAccessorFactory.Registry#remove(java.lang.Object)`

#### clear

    public void clear()

Clear the registry.

Specified by:
  `clear` in interface `IAccessorFactory.Registry`
See Also:
  `IAccessorFactory.Registry.clear()`